﻿@model Backend.Models.Purchase
@using System.Globalization

<html>
    <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <style>
        * {
            margin: 0px;
            padding: 0px;
            line-height: 1.4;
        }
        
        #Header {
            height: 80px;
            width: 100%;
            position: relative;
        }

        #Header-Logo {
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            height: 100%;
            padding: 0 10px;
            display: flex;
        }

        #Header-Logo svg {
            margin: auto;
            height: 60px;
        }

        #Header-Logo p {
            margin: auto;
            white-space: nowrap;
            color: #000000;
            font-weight: normal;
            font-size: 32px;
        }

        body {
            font-family: Arial, Helvetica, sans-serif;
            background-color: #ffffff;
        }

        h2,
        h3,
        p{
            color: rgb(0, 0, 0);
            font-weight: normal;
        }

        #Main {
            width: calc(100% - 40px);
            padding: 20px;
        }

        #order_detail {
            width: calc(100% - 40px);
            padding: 20px;
        }

        table {
            border-collapse: collapse;
            border-spacing: 0;
            background-color: transparent;
            width: 100%;
            margin: 0 0 40px;
        }

        tbody {
            display: table-row-group;
            vertical-align: middle;
            border-color: inherit;
        }

        tr {
            display: table-row;
            vertical-align: inherit;
            border-color: inherit;
            border-bottom: 1px solid #e7e7e8;
            height: 60px;
        }

        tr:last-child {
            border-bottom: none;
        }

        td,
        th {
            padding: 14px 10px 10px;
            line-height: 24px;
            vertical-align: middle;
            text-align: left;
            word-break: break-all;
            word-break: break-word;
            font-size: 14px;
            font-weight: normal
        }

        .for-image {
            position: relative;
            height: 100%;
            width: 60px;
            padding: 0;
        }

        .for-image>img {
            position: absolute;
            height: 32px;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
        }

        .bold {
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div id="Header">
        <div id="Header-Logo">
            <p>Online Clinic</p>
        </div>
    </div>
    <div id="Main">
        <h3>Thank you for placing your order</h3>
        <p>Your order will be shipped in a few working hours. Below is your order information:</p>
        <div id="order_detail">
            <p>Order time: <span>@Model.CreatedAt</span></p>
            <p>Delivery address: <span>@Model.Address</span></p>
            <p>
                Order status:
                <span>
                    Approved
                </span>
            </p>
            <table>
                <tbody>
                    <tr>
                        <th class="bold">Name</th>
                        <th class="bold">Quantity</th>
                        <th class="bold">Price</th>
                        <th class="bold">Total</th>
                    </tr>
                    @foreach (var item in Model.PurchaseDetails)
                    {
                        <tr>
                            <td>@item.ItemName</td>
                            <td>@item.Quantity</td>
                            <td>@string.Format("{0:C}", item.Price)</td>
                            @{
                                var total = item.Quantity * item.Price;
                            }
                            <td>@string.Format("{0:C}", total)</td>
                        </tr>
                    }
                    @{
                        var grandTotal = Model.PurchaseDetails.Sum(item => item.Quantity * item.Price);
                    }
                    <tr>
                        <td colspan="3" class="bold">TOTAL PAYMENT:</td>
                        <td class="bold">@string.Format("{0:C}", grandTotal)</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</body>
</html>
